function [datadim,datasizes]=dimsizetype(data)
    datasize=size(data);
    datadim=length(datasize);
    datatype=class(data);
    if datadim==2
        if (datasize(1)==1 || datasize(2)==1)
            datadim=1;
            if datasize(1)>1
                datasize=datasize(1);
            else
                datasize=datasize(2);
            end
        end
    end
    if datadim==3
        datasizes=[num2str(datasize(1)) 'x' num2str(datasize(2)) 'x' num2str(datasize(3)) ' ' datatype];
    elseif datadim==1
        datasizes=[num2str(datasize(1)) 'x1 ' datatype];
    else
        datasizes=[num2str(datasize(1)) 'x' num2str(datasize(2)) ' ' datatype];
    end
end
